'''
Python gui to link to quantics analysis codes

'''
import sys  #for command line arguments to pass to qt

import anl_gui_lib  #library of functions


if __name__ == '__main__':
    #get any command line arguments and set variables
    parser = anl_gui_lib.parsing()
    parsed_args, unparsed_args = parser.parse_known_args()
    CWD = parsed_args.target_directory #example of getting the parser result
    print(CWD)
    #test getting value from simp file
    print(anl_gui_lib.simp.y(10))
    test = ""
    print(anl_gui_lib.simp.get_a_value())
    # Create the Qt Application
    # QApplication expects the first argument to be the program name.
    qt_args = sys.argv[:1] + unparsed_args
    app = anl_gui_lib.QtWidgets.QApplication(qt_args)
    # Create and show the form
    window = anl_gui_lib.Ui()
    # Run the main Qt loop
    sys.exit(app.exec_())
