module opermod_interface

 interface

!###

   subroutine heinlab(ichan,loperr,iz,pass)

use decimal, only: long,dop
use global
use maxv, only: maxdim,maxsta,maxkoe
use griddatmod
use operdef
use runopermod
use channels

use logdat
use operutil, only: rdfactors,mkhpar


      implicit none

      integer(long)                        :: i,iz0,ic,ierr,j,n,n1,np,&
                                              nfac,nopt,nhpar,maxlen,&
                                              ilbl,jlbl
      integer(long), intent(in)            :: iz,ichan,pass
      integer(long), dimension(24)         :: optyp
      real(dop)                            :: x
      logical(kind=4)                      :: lprint
      logical(kind=4), intent(inout)       :: loperr
      character(len=c3)                    :: buffer
      character(len=c2),dimension(24)      :: factor

   end subroutine heinlab

!###

   subroutine memoper

use decimal, only: long,dop
use global
use maxv, only: maxdim,maxsta,maxkoe
use griddatmod
use operdef
use runopermod
use logdat

      implicit none

!-----------------------------------------------------------------------
! with the parameter "pdum" the pointers to arrays that are not
! used are initialized with the value one in order to avoid an abortion
! of the program when array bounds are checked (compiler option "-c").
!-----------------------------------------------------------------------
      integer(long), parameter :: pdum = 1
      character(len=16)        :: progpart

   end subroutine memoper

!###

 end interface

end module opermod_interface

