!***********************************************************************
!
! Common stuff needed to support multiple KLegs in one mode.
! This has its own include file because of GENKLEG.
! 
! FO 06/2006
!
!***********************************************************************
      module multkleg

      use decimal, only : long
      use maxv, only : maxdim

      implicit none

!     Maximum number of SPFs for a single KLeg, _only_
!     needed for the following arrays. Sigh...
      integer(long), parameter :: maxklegspf = 100

!     Arrays for saving the (j,m) pairs which are used to generate
!     the KLeg SPFs (in genkleg), we need these to figure out which
!     combinations are allowed for symmetrized multi-KLeg SPFs.
      integer(long), dimension(:,:), allocatable, save :: multkleg_j, &
                                                           multkleg_m

      end module multkleg
