! call the default routines for various modules


subroutine mcdefault()

  use mcpfitparams
  use mccpdparams
  use mcsampling
  use pesselect_m
  use rshdmr
  use symmops_m
  use symmops_s, only: symdefault

  implicit none

  call conjgrad_default()
  call mcprecond_default()
  call rshdmr_default()
  call pesselect_default()
  call mcsampling_default()
  call symdefault()

  call mcpdefault()
  call mccpddefault()


end subroutine mcdefault
