"The logging system for the python programs of the MCTDH package"

#########################################################################
#
# FUNCTIONS IN THIS MODULE
#
# - BlockStream               Block output stream for loglevels
# - OpenStream                Open output stream for loglevels
#
# 03/2010 MS
#########################################################################


import logging

#filters to streams
class BlockStream(logging.Filter):
    """ Log everthing except specified 2 levels"""
    def __init__(self, level,level1):
        self.level = level
        self.level1 = level1
    def filter(self, record):
        return not( self.level == record.levelno or\
            self.level1 == record.levelno)

class OpenStream(logging.Filter):
    """ Log only specified 2 levels"""
    def __init__(self, level,level1):
        self.level = level
        self.level1 = level1
    def filter(self, record):
        return (self.level == record.levelno or\
            self.level1 == record.levelno)






