#!/bin/bash

# get environment
if [ -e "$QUANTICS_DIR/install/QUANTICS_client" ] ; then
   source "$QUANTICS_DIR/install/QUANTICS_client"
else
   echo ' '
   echo 'No platform.cnf file. First run install_quantics.'
   echo ' '
fi

# Generate files with the options for the npottools programs

for i in $(egrep -ih "^ *program" $QUANTICS_DIR/HDmctdh/npottools/*.[Ffc] \
       $QUANTICS_DIR/HDmctdh/npottools/*.[Ff]90 2>/dev/null | awk '{print $2}' ) ; do
   echo "Writing : $i.html"
   if [ -e $i.html ]; then 
      rm $i.html 
   fi
   echo '<PRE>' >> $i.html
   $QUANTICS_DIR/bin/binary/$QUANTICS_PLATFORM/$i -h >> $i.html
   echo '</PRE>' >> $i.html
done


