#-#!/bin/csh ---  This line is for mcb

########################################################################
# mctdh.profile.csh   for csh and tcsh                   (HDM 01/00)   #
########################################################################

if ( ${?QUANTICS_DIR} == 0 ) then
  echo " "
  echo 'First set $QUANTICS_DIR environment variable to base directory.'
  echo " "
else
  if ( -e $QUANTICS_DIR/install/platform.cnf ) then
    source $QUANTICS_DIR/install/platform.cnf.csh
    set path=($QUANTICS_DIR/bin/binary/$QUANTICS_PLATFORM $QUANTICS_DIR/bin $path)
  else
    echo ' '
    echo 'No platform.cnf.csh file. First run install_quantics. '
    echo ' '
  endif
endif

setenv QUANTICS_PLATFORM $QUANTICS_PLATFORM

