!-----------------------------------------------------------------------
!    source/include/fluxmod.f90
!    For flux.f90   Version 8.2
!-----------------------------------------------------------------------

      module fluxmod

      use decimal, only : long, dop
      use maxv, only: maxdim,maxsta

      integer(long), parameter :: maxprj = 8

      character(len=8),save                     :: unit,unite,unitf
      character(len=16),save                    :: capdof
      character(len=240),save                   :: edstrf, dvrfile
      character(len=16), dimension(maxprj),save :: prjname
      character(len=64), dimension(maxprj),save :: prjlab

      real(dop),save      :: emin,emax,eoff,eoff1,tovl,ufac,ostart,dipolem, &
                             tauexp
      integer(long),save  :: klo,khi,kmax,nout2,mcap,fcap,hcap,laewmat, &
                             epoints,maxendim,icos,iexp,nham,edlaenge,sdmc, &  
                             nppar, nprj, prjdim, fulldim, mcwm,&
                             mcprj, mcgt, mcdtpsi,mcfullpsi,dgldimnew,& 
                             start,start1,start2,captype,klo1,mrtheta,&
                             dgldimold, psi1dim, capphidim, gdmc, i0s
      integer(long),save  :: wrkdim

      integer(long), dimension(:,:),allocatable,save :: zetf_f
      logical(kind=4), dimension(:),allocatable,save :: mfound

      logical(kind=4),save :: lcos,lproj,ltest,loper,lcorr,lwtt,lgtt,full, &
                              ltonly,l2short,lsmooth,ladd,lc3d,lread,lmb,lid, &
                              lexp,lderiv,lopsym,lprojonly

      integer(long), dimension(maxprj),save        :: prjmode,zprj
      integer(long), dimension(maxprj,maxprj),save :: prjpar

!-----------------------------------------------------------------------
!     pointers for overlaps
!-----------------------------------------------------------------------
      integer(long), save :: doverdim,mcdover,nst1,nst2,ovtype,&
                             agmatdim1,gsmatdim1

      integer(long), dimension(:,:), allocatable, save :: dovmat
      complex(dop), dimension(:), allocatable, save    :: agmat1


      end module fluxmod

