program simpsys

    !-----------------------------------------------------------------------
    !Simplifed showsys to act as python wrapper for analysis GUI
    !
    !   MAP 2021
    !-----------------------------------------------------------------------
        use decimal, only: long,dop,sip
        use memdimmod, only: memdimfile, memdimoper, memdimdvr
        use maxv
        use global
        use globmemmod
        use aglobal
        use versions
        use keyunitsmod
        use dvrdatmod
        use griddatmod
        use operdef
        use psidef
        use channels
        use datenmod
        use dirdyn
        use compdatmod
        use plot
        use plotutils
        use gapmod
        
        use op1lib, only: initvxi, zerovxd
        use logdat
        use iorst, only: rstinfo
        use iofile, only: rdpsiinfo
        use rddvrmod, only: dvrinfo
        use rdopermod, only: operinfo
        use zeigauswmod, only: zeigausw
        use memhopsmod, only: memhops
    
        use dd_db, only: getdbnrec
        
        use module_interface
        
              implicit none
        
              integer(long)           :: chkdvr,chkgrd,chkdat,ilbl,chkpsi
              integer(long)           :: nrec, pytest
              character(len=c5)       :: filename
              logical(kind=4)         :: lerr,linwf,lexist
              !integer(long)           :: slen
        
        !-----------------------------------------------------------------------
        ! Initialize variables
        !-----------------------------------------------------------------------
              call default
              call adefault
              
    end program simpsys
    
    DOUBLE PRECISION FUNCTION y(x)
    !USE nfw
    double precision :: x
    write(*,*) lmpi
    y = x
    return
    END FUNCTION y
    
    subroutine get_a_value(value_back)
          !
          !Subroutine to bring a value back
          ! Is a test
    
          character(15), intent(out)       :: value_back
    
          value_back = "Hola"
    end subroutine