module dvrmod_interface

 interface

   subroutine dimsphfbr (sphtyp,jmax,mmax,mincr,mmin,gj,gdim)

use decimal, only: long
use global

use logdat

      implicit none

      integer(long), intent(in)  :: sphtyp,jmax,mmax,mincr
      integer(long), intent(out) :: mmin,gdim,gj
      integer(long)              :: xx,i,m,j0,j

   end subroutine dimsphfbr

!###

   subroutine memdvr

use decimal, only: long
use global
use maxv, only: maxdim, maxsta
use dvrdatmod

use logdat

      implicit none

      integer(long), parameter :: pdum = 1
      character(len=16)        :: progpart

   end subroutine memdvr

!###

   subroutine wrdvr(ort,trafo,dvrmat,fftp,hin,rueck,fftfak,exphin, &
                 exprueck,jsph,msph,kinsph)

use decimal, only: dop, long
use global
use maxv, only: maxdim,maxsta
use dvrdatmod
use channels

use logdat
use iodvrdef, only: wrdvrdef

      implicit none

      integer(long)                                :: g,n,f
      integer(long), dimension(fftdim), intent(in) :: fftfak
      integer(long), dimension(sphdim), intent(in) :: jsph,msph

      real(dop), dimension(ortdim), intent(in)        :: ort
      real(dop), dimension(dvrdim), intent(in)        :: trafo
      real(dop), dimension(fftdim), intent(in)        :: fftp
      real(dop), dimension(dvrdim,dvrord), intent(in) :: dvrmat
      real(dop), dimension(3*sphdim), intent(in)      :: kinsph

      complex(dop), dimension(fftdim), intent(in) :: hin,rueck
      complex(dop), dimension(expdim), intent(in) :: exphin, exprueck
      character(len=8)                            :: stat
      character(len=100)                          :: buffer

   end subroutine wrdvr

 end interface

end module dvrmod_interface

