module BELglobals
  use decimal, only: long, dop
  use maxv, only : maxdim,maxsta

  implicit none
  save

  complex(dop) :: norma,norm0
  complex(dop) :: aoverlap
  complex(dop) :: nwf1

  complex(dop), allocatable :: allprod(:,:),newprod(:),allnewprod(:,:)

  integer(long) :: PQsize
  integer(long) :: PQset(3) = (/2,3,1/)
  real(dop),allocatable :: PQfix(:,:,:)
  real(dop),dimension(:),allocatable::DomainUpper,DomainLower,DomainMid
  real(dop),dimension(:),allocatable::MaxWidth

  integer(long) :: ex1,ex2,gdof,dim1,dim1red,m,s
  integer(long) :: iloop=1
  integer(long) :: ifunkr=1
  integer(long) :: dgldimmax,agmatdimmax,ssdim,ssblock

!
! assigned in resetgwp (bel.F90)
!
  complex(dop), dimension(:),allocatable     :: psiold,psinew
  complex(dop), dimension(:,:),allocatable     :: newcoef
  complex(dop), dimension(:),allocatable     :: aold,anew
  complex(dop), dimension(:,:,:),allocatable   :: tauold,taunew
  complex(dop), dimension(:,:),allocatable   :: zetaold,zetanew
  complex(dop), dimension(:),allocatable   :: etaold,etanew
  
  integer(long), dimension(:),allocatable    :: blockmax,zpsimax,blockred
  integer(long), dimension(:,:), allocatable :: dimmax,zphimax,zetfmax, &
!                                                zximax,zxivecmax,zagmatmax
                                                zphasemax,zximax,zxivecmax,zagmatmax, & ! modified by TM
                                                gwpdimmax, predim, predimred! modified by TM

    integer(long) :: lmaxspf,lmaxgdof
    integer(long) :: errorBELprop

end module BELglobals
