!***********************************************************************
!
!                         MCTDH include file GLOBAL
!
!  MCTDH include file defining various parameters and variables
!  global to the program.
!
!   V6.0 MB
!
!***********************************************************************

      module globmemmod

      use decimal

!-----------------------------------------------------------------------
!  POINTERS for the start positions of
!  the arrays stored in the memory arrays mc, mr, ms, mi and ml.
!
! see zeiger routines for definitions
!
!-----------------------------------------------------------------------

! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! !! If you add any further constant, change the mccount,..,mfcount   !!
! !! values in subroutine checkmemprop !!                             !!
! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

      integer(long), save :: mcdim=1
      integer(long), save :: mchpsi,mchunpsi,mcintpsi,mchin,mcrueck,&
                             mcexphin,mcexprueck,mchloch,&
                             mcipbt,mcipft,mcworkc,&
                             mccdvr2,mccdvr4,mcoldpsi,mcpredpsi, &
                             mcautopsi,mcautodtpsi,mchc,mcspf1d,mcphi, &
                             mcpsiref,mcccdover,mcoctpsi, &
                             mcpcons,mcadgwp,mcxp,mcdtgwp
      integer(long), save :: mrdim=1
      integer(long), save :: mrort,mrdvrmat,mrtrafo,mrfftp, &
                             mrworkr,mrgpop1,mrgpop2,mrcdvr3,mrhunew,mrhunev, &
                             mrkinsph,mrhops,mrhr,mrqcent,mrpcent, &
                             mrintr,mrgsval,ikrylov,ikryc
      integer(long), save :: midim,miworki,mijsph,mimsph,mifftfak,mihi, &
                             mijindx,miccjindx,midddegen,mitrajst,migwpdyn, &
                             migwpdep
      integer(long), save :: mldim=1
      integer(long), save :: mlworkl,mlhl
      integer(long), save :: msdim=1
      integer(long), save :: msworks
      integer(long), save :: mfdim=1
      integer(long), save :: mfworkf

!-----------------------------------------------------------------------
! arrays that form the main memory
!-----------------------------------------------------------------------
      complex(dop), dimension(:), allocatable, save    :: mc
      complex(dop), dimension(:), allocatable, save    :: mc1
      complex(dop), dimension(:), allocatable, save    :: gfgwp
      complex(dop), dimension(:), allocatable, save    :: aigwp
      complex(dop), dimension(:), allocatable, save    :: agmat
      complex(dop), dimension(:), allocatable, save    :: zgwp
      complex(dop), dimension(:), allocatable, save    :: hteil
      complex(dop), dimension(:), allocatable, save    :: mfsum
      complex(dop), dimension(:), allocatable, save    :: gh
      real(dop), dimension(:), allocatable, save       :: ghderiv1
      complex(dop), dimension(:), allocatable, save    :: gs2
      complex(dop), dimension(:), allocatable, save    :: gsinv
      complex(dop), dimension(:), allocatable, save    :: gsvek
      complex(dop), dimension(:), allocatable, save    :: gsdot
      complex(dop), dimension(:), allocatable, save    :: hung
      complex(dop), dimension(:), allocatable, save    :: dicht1
      complex(dop), dimension(:), allocatable, save    :: dicht2
      real(dop), dimension(:), allocatable, save       :: dicht3
      complex(dop), dimension(:), allocatable, save    :: dicht4
      real(dop), dimension(:), allocatable, save       :: dicht3o
      complex(dop), dimension(:), allocatable, save    :: dicht4o

      real(dop), dimension(:), allocatable, save       :: mr
      real(dop), dimension(:), allocatable, save       :: mr1
      integer(long), dimension(:), allocatable, save   :: mi
      integer(long), dimension(:), allocatable, save   :: mi1
      logical(kind=4), dimension(:), allocatable, save :: ml
      complex(sip), dimension(:), allocatable, save    :: ms
      real(sip), dimension(:), allocatable, save       :: mf

      end module globmemmod
