!-----------------------------------------------------------------------
! PARAMETER FOR DEFINING THE LOCAL CONTROL MODES
!-----------------------------------------------------------------------
      module lctmod

use decimal, only: long, dop

      implicit none

      integer(long), save            :: fswitch,interswit,nmb,tog,nviblct,&
                                        nstalct,nmlct
      integer(long), dimension(100), save  :: switch
      complex(dop), dimension(1000), save  :: vibpop
      complex(dop), dimension(10000), save :: lctpsi
      real(dop), save                :: vfield
      logical(kind=4), save          :: lcontrol,lgpulse,ltoggle,lctvibpop

!-----------------------------------------------------------------------
! Parameters for local control pulse
!-----------------------------------------------------------------------
      real(dop), save     :: lctevalue,lctftime,lctenvtime,lctenvwidth,lctenvstr
      integer(long), save :: ilctenv

      end module lctmod

