!##A1###################################################################
!
! PATHS.F90
!
! module containing paths needed in program
!
! paths.f90 is created by the install_HDmctdh script. 
! It supplies the path to the operator directory (i.e. ~.op files)
! and to the opfuncs directory to the quantics program.
!
!#######################################################################
!-----------------------------------------------------------------------
! opdefpath: default path for operator files (~.op) 
! opdatadef: path to operator library, needed for data files 
!            (e.g. in nocl1sch.F)
!-----------------------------------------------------------------------
      module paths
                           
      character(len=200), parameter ::  oppathdef= &
     '/home/graham/quantics2.2' & 
     //'/inputs/operators'      
                           
      character(len=200), parameter ::  opdatadef= &
     '/home/graham/quantics2.2' & 
     //'/HDmctdh/surfaces' 
                           
      character(len=200), parameter ::  qubindir= &
     '/home/graham/quantics2.2' & 
     //'/bin' 
                           
      end module paths     
