
module sumrstmod

      use decimal, only : long,dop
      use maxv, only : maxdim, maxsta

!-----------------------------------------------------------------------
! VARIABLES NEEDED FOR GENERATING SUPERPOSITION OF WF'S
! used by: sumrst.F
!
!-----------------------------------------------------------------------

      complex(dop), dimension(8), save :: scoeff
      real(dop), save                  :: snorm
      logical(kind=4), save            :: lsnormalize

! --  wavefunction dimensions
      integer(long), save :: maxdgldim,smaxdgldim,sdgldim,sadim,smaxadim, &
                             smaxblock,smaxspf

! --  matrix dimensions
      integer(long), save ::  sdmatdim,sd3matdim,smaxdovdim,smaxdmatdim, &
                              smaxd3matdim
      
! --  pointers to raw memory      
      integer(long), save :: mcspsi
      
! --  pointers to processed memory  (wavefunction)
      integer(long), dimension(:,:), allocatable, save :: svdim, spdim, &
                                                          sndim, szetf
      integer(long), dimension(:), allocatable, save   :: szpsi, sblock

end module sumrstmod
