!#######################################################################
!
! contains:
!
!#######################################################################
      module callanlzmod

use decimal, only: long, dop

      implicit none
      private
      public :: defanlz, callanlz
      contains
!#######################################################################

      subroutine defanlz(ifunc,label,ifile,ipar,rpar,maxpar,hoppar)

use funcanlzmod, only:fdefanlz

      implicit none

      integer(long), intent(in)                     :: maxpar
      integer(long), intent(out)                    :: ifunc,ifile
      integer(long), dimension(maxpar), intent(out) :: ipar
      real(dop), dimension(maxpar), intent(out)     :: rpar
      real(dop), dimension(maxpar,*), intent(in)    :: hoppar
      character(len=*), intent(in)                  :: label

!-----------------------------------------------------------------------
! search through sets of functions
!-----------------------------------------------------------------------
      call fdefanlz(ifunc,label,ifile,ipar,rpar,maxpar,hoppar)
      if (ifile .ne. 0) go to 99

   99 continue
      return
      end subroutine defanlz
!#######################################################################

      subroutine callanlz(v,x,ifunc,ifile,ipar,rpar)

use funcanlzmod, only:funcanlz

      implicit none

      integer(long)                           :: i
      integer(long), intent(in)               :: ifunc,ifile
      integer(long), dimension(*), intent(in) :: ipar
      real(dop), intent(in)                   :: x
      real(dop), dimension(*), intent(in)     :: rpar
      complex(dop), intent(out)               :: v

      i=ifile-100

      select case(i)

      case default
      print*,'ERROR in subroutine callanlz, ifile not found, ifile =',ifile
      stop

      case(1)
      call funcanlz(v,x,ifunc,ipar,rpar)
      return
      end select

      end subroutine callanlz

!#######################################################################
      end module callanlzmod

