module opfuncsmod_interface

 interface

   subroutine fdeflct(ifunc,label,ifile,hopipar,hoprpar,maxhpar,&
                 hoppar,zpesopts,pesopts,hamlab,hamdim)

use decimal, only:long,dop
use global
use logdat, only:errormsg

      implicit none

      integer(long)                                     :: ilbl,jlbl,np,n,nopt,nham,klbl,llbl
      integer(long), intent(in)                         :: maxhpar,hamdim
      integer(long), intent(out)                        :: ifunc,ifile
      integer(long), dimension(*), intent(out)          :: hopipar
      integer(long), dimension(2*maxhpar,*), intent(in) :: zpesopts
      real(dop)                                         :: lambda
      real(dop), dimension(*), intent(out)              :: hoprpar
      real(dop), dimension(maxhpar,*), intent(in)       :: hoppar
      character(len=20)                                 :: lctopts
      character(len=*), intent(in)                      :: label
      character(len=*), dimension(*), intent(in)        :: pesopts,hamlab

   end subroutine fdeflct

 end interface

end module opfuncsmod_interface

