!#######################################################################################
! 4th-order, symmetric double well PES based on the malonaldehyde PES of Mizukami et al.
! GWR 01/18
!#######################################################################################
    subroutine doublewell(x,e)

    implicit none

    real(8), dimension(1), intent(in)  :: x
    real(8), dimension(1), intent(out) :: e

    real(8) :: x2

    x2 = x(1)*x(1)
    e(1) = 0.006560097305432809d0 - 0.003268309144627947d0*x2 &
         + 0.0012007385155398398d0*x2*x2
!    e(1) = 0.003268309144627947d0*x2 + 0.0012007385155398398d0*x2*x2

    return

    end subroutine doublewell
