#-#!/bin/zsh   ---  This line is for mcb

#------------------  mctdh.profile.zsh  -------------------------------------

#####   -------------   ACTUAL SCRIPT BEGINS HERE  -------------   #####

if [ -z "$QUANTICS_DIR" ] ; then
    echo " "
    echo 'First set $QUANTICS_DIR environment variable to Quantics base directory.'
    echo " "
else
    if [ -e "$QUANTICS_DIR/install/platform.cnf" ] ; then
	
	source "$QUANTICS_DIR/install/platform.cnf"
	typeset -U path PATH
	path=($QUANTICS_DIR/bin/binary/$QUANTICS_PLATFORM  $QUANTICS_DIR/bin $path)
	export PATH
    else
	echo ' '
	echo 'No platform.cnf file. First run install_quantics.'
	echo ' '
    fi
fi

export QUANTICS_PLATFORM
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$QUANTICS_DIR/bin/dyn_libs

