!  This is a drop-in replacement for the C code that used to allocate a block
!  of memory for the oper routines

subroutine fccaller(bytes)
implicit none
integer,dimension(*),intent(in)::bytes
complex*16,dimension(:),allocatable::mc
real*8,dimension(:),allocatable::mr
integer,dimension(:),allocatable::mi
integer::complexsize,realsize,integersize
allocate(mi(bytes(1)/integersize()))
allocate(mr(bytes(2)/realsize()))
allocate(mc(bytes(3)/complexsize()))
call fcreceiver(mi,mr,mc)
deallocate(mi,mr,mc)
end subroutine fccaller

