      SUBROUTINE powell(p,xi,n,np,ftol,itmax,fret,func,pt,ptt,xit,
     +           rdata,idata)

      INTEGER iter,n,np,ITMAX,idata(*)
      REAL*8 fret,ftol,p(np),xi(np,np),func,rdata(*)
      EXTERNAL func
C     PARAMETER (ITMAX=200)
CU    USES func,linmin
      INTEGER i,ibig,j
      REAL*8 del,fp,fptt,t,pt(N),ptt(N),xit(N)
      fret=func(p,rdata,idata)
      do 11 j=1,n
        pt(j)=p(j)
11    continue
      iter=0
1     iter=iter+1
      write(6,'(a,i7)') 
     +     '+++++++++++ calculating iteration: ',iter
      fp=fret
      ibig=0
      del=0.
      do 13 i=1,n
        do 12 j=1,n
          xit(j)=xi(j,i)
12      continue
        fptt=fret
        call linmin(p,xit,n,fret,func,rdata,idata)
        if(abs(fptt-fret).gt.del)then
          del=abs(fptt-fret)
          ibig=i
        endif
13    continue
      if(2.*abs(fp-fret).le.ftol*(abs(fp)+abs(fret)))return
      if(iter.eq.ITMAX) then
        write(6,'(a)') 'powell exceeding maximum iterations'
        return
      endif
      do 14 j=1,n
        ptt(j)=2.*p(j)-pt(j)
        xit(j)=p(j)-pt(j)
        pt(j)=p(j)
14    continue
      write(6,'(a,e16.8)') '  function value = ',fret
      fptt=func(ptt,rdata,idata)
      if(fptt.ge.fp)goto 1
      t=2.*(fp-2.*fret+fptt)*(fp-fret-del)**2-del*(fp-fptt)**2
      if(t.ge.0.)goto 1
      call linmin(p,xit,n,fret,func,rdata,idata)
      do 15 j=1,n
        xi(j,ibig)=xi(j,n)
        xi(j,n)=xit(j)
15    continue
      goto 1
      END

